use serde::{Deserialize, Serialize};
use sqlx::types::Uuid;
use surrealdb::sql::Thing;

#[derive(Debug, Deserialize, Serialize)]
pub struct DbUser {
    pub id: Uuid,
    pub username: String,
    pub displayname: Option<String>,
    pub host: String,
    pub is_admin: bool,
}

#[derive(Debug, Deserialize, Serialize)]
pub struct DbPlay<'a> {
    user: Thing,
    started_at: &'a str,
    mbid: Option<&'a str>,
    track_name: &'a str,
}

#[derive(Debug, Deserialize, Serialize)]
pub struct NewUser {
    pub username: String,
    pub host: String,
    pub name: Option<String>,
    pub is_admin: bool,
}
