use anyhow::Result;
use async_trait::async_trait;
use surrealdb::{engine::any::Any, opt::auth::Root, Error, Surreal};
use tracing::error;

use super::{
    model::{DbUser, NewUser},
    DatabaseAdapter,
};

pub async fn connect(remote: &str) -> Result<Surreal<Any>> {
    let conn: Surreal<Any> = Surreal::init();
    conn.connect(remote).await?;

    //TODO: configurable here
    conn.signin(Root {
        username: "root",
        password: "root",
    })
    .await?;
    conn.use_ns("omegafm").use_db("omegafm").await?;

    Ok(conn)
}

// #[async_trait]
// impl DatabaseAdapter for Surreal<Any> {
//     async fn migrate(&self) {
//         if let Err(e) = self.query("DEFINE TABLE user;").await {
//             error!("{e:?}");
//         }

//         if let Err(e) = self.query("DEFINE TABLE play;").await {
//             error!("{e:?}");
//         }
//     }

//     async fn creat_user(&self, user: NewUser) {
//         let rec: Result<Vec, Error> = self.create("user").content(user).await;
//     }

//     async fn create_track(&self) {}
// }
